Bug 150832 - FILEOPEN: charts cannot be seen (only white boxes)
Summary: FILEOPEN: charts cannot be seen (only white boxes)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.2 target:7.5.0 target:7.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-09-06 15:32 UTC by Justin L
Modified: 2022-09-12 17:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2022-09-06 15:32:33 UTC
1.) Open (from bug 74576) attachment 93463 [details].
2.) Under the data, you should see 5 charts/graphs.

This started with author Noel Grandin on 2022-08-02 13:50:19 +0200
7.4.1 commit 613f6e75fbfcc024fc9c3732261cbf2cda6f4ad8
    tdf#150034 very slow opening pathological chart

There is something different about this XLS format. It doesn't happen to the XLSX or ODS versions that I created (using the preceding commit).
Comment 1 raal 2022-09-06 17:20:58 UTC
Confirm with Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 64f673238cf9b645a751e8f8137ca14e595a779a
CPU threads: 4; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded

I can see charts in Version: 7.0.0.0.alpha1+
Build ID: 574c57090642347980d2395e1e183cc7b5c171ad
CPU threads: 4; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 2 Noel Grandin 2022-09-07 08:49:58 UTC Comment hidden (obsolete)
Comment 3 Xisco Faulí 2022-09-07 08:55:54 UTC
(In reply to Noel Grandin from comment #2)
> Could someone please check if this worked before commit
> 10c934147d469965dba6abc78efd02759a010b8e ie. before I started working on
> chart loading performance.

Hi Noel,
Yes, it works with the commit before that one. Tested with the 6.3 repo

Version: 6.3.0.0.alpha0+
Build ID: a08401155a0b4b49878e8e50d39b2fd3e5278779
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3; 
Locale: es-ES (es_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Commit Notification 2022-09-08 08:32:58 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/938d17969cd0fd29cf4edd1e0365dd784ca59d8b

tdf#150832: Revert "tdf#150034 very slow opening pathological chart"

It will be available in 7.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-09-08 08:33:30 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7aa5e94b712186bf2f65be39ea7c8f7978f1144b

tdf#150832: Revert "tdf#150034 very slow opening pathological chart"

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-09-09 13:32:11 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-4-1":

https://git.libreoffice.org/core/commit/99704bf14dae2e5ed7fd1bcf382921b46867c380

tdf#150832: Revert "tdf#150034 very slow opening pathological chart"

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-09-12 17:11:41 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f461f8eaa98544f8f1f0561f9110afbe973067c8

tdf#150832: chart2_xshape: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.